# -*- mode: python ; coding: utf-8 -*-
from os.path import join

block_cipher = None

a = Analysis(
    ['mp.py'],
    pathex=[],
    binaries=[(join("spellchecker", "resources", "en.json.gz"),
              join("spellchecker", "resources"))],
    datas=[(join("..", "..", "preloaded-examples"), "preloaded-examples")],
    hiddenimports=[],
    hookspath=[],
    hooksconfig={},
    runtime_hooks=[],
    excludes=[],
    win_no_prefer_redirects=False,
    win_private_assemblies=False,
    cipher=block_cipher,
    noarchive=False,
)
pyz = PYZ(a.pure, a.zipped_data, cipher=block_cipher)

exe = EXE(
    pyz,
    a.scripts,
    a.binaries,
    a.zipfiles,
    a.datas,
    [],
    name='MP-Gryphon',
    icon="MP_Gryphon_logo.ico",
    debug=False,
    bootloader_ignore_signals=False,
    strip=False,
    upx=True,
    upx_exclude=[],
    runtime_tmpdir=None,
    console=True,
    disable_windowed_traceback=False,
    argv_emulation=False,
    target_arch=None,
    codesign_identity=None,
    entitlements_file=None,
)
